# Examples

This section provides practical examples of using Factrainer for various machine learning tasks. These examples demonstrate how to use Factrainer with different frameworks and for different types of problems.

## Classification Examples

- [Binary Classification](classification.md#binary-classification): Examples of binary classification tasks using Factrainer
- [Multi-class Classification](classification.md#multi-class-classification): Examples of multi-class classification tasks using Factrainer

## Regression Examples

- [Simple Regression](regression.md#simple-regression): Examples of simple regression tasks using Factrainer
- [Multiple Regression](regression.md#multiple-regression): Examples of multiple regression tasks using Factrainer

## Framework-Specific Examples

- [LightGBM Examples](classification.md#lightgbm-examples): Examples of using Factrainer with LightGBM
- [scikit-learn Examples](regression.md#scikit-learn-examples): Examples of using Factrainer with scikit-learn

## Advanced Examples

- [Custom Metrics](classification.md#custom-metrics): Examples of using custom metrics with Factrainer
- [Feature Engineering](regression.md#feature-engineering): Examples of feature engineering with Factrainer
- [Hyperparameter Tuning](classification.md#hyperparameter-tuning): Examples of hyperparameter tuning with Factrainer
